import { getChromeStorage } from '@/uilts/chromeExtension.js'

export const closeAchPayNoticeHandler = async () => {
    let {id} = await getCurrentTab();

    chrome.tabs.remove(
        id, () => {
            getChromeStorage('achPayInfo', (res) => {
                chrome.storage.local.remove("achPayInfo");
                chrome.tabs.highlight({ windowId: res.tab.windowId, tabs: res.tab.index })
            })
        }
    )
}

const getCurrentTab = async () => {
    let queryOptions = { active: true, lastFocusedWindow: true };
    let [tab] = await chrome.tabs.query(queryOptions);
    return tab || {};
}
